﻿
@using Microsoft.AspNetCore.Identity
@inject SignInManager<ApplicationUser> SignInManager
@inject UserManager<ApplicationUser> UserManager

@using LawMingo.Areas.Blog.Controllers
@model Post
@{
    ViewBag.Title = Model.Title;
}

@section Meta{
    <meta name="description" content="@Model.SEO_Description" />
    <link rel="canonical" href="https://lawmingo.com@(Context.Request.Path)" />
    <meta property="og:type" content="article" />
    <meta property="og:title" content="لامینگوبلاگ | @Model.SEO_Title" />
    <meta property="og:description" content="@Model.SEO_Description" />
    <meta property="og:url" content="https://lawmingo.com@(Context.Request.Path)" />
    <meta property="article:tag" content="@Model.Subject.Title" />
    <meta property="article:section" content="@Model.Subject.Title" />
    <meta property="article:published_time" content="@Model.PublishTime" />
    <meta property="article:modified_time" content="@Model.LastModified" />
    <meta property="og:updated_time" content="@Model.LastModified" />
    <meta property="og:image" content="https://lawmingo.com/blog/posts/@Model.Image" />
    <meta property="og:image:secure_url" content="https://lawmingo.com/blog/posts/@Model.Image" />
    <meta property="og:image:width" content="822" />
    <meta property="og:image:height" content="522" />
    <meta property="og:image:alt" content="@Model.ImageAlt" />
    <meta name="twitter:card" content="summary_large_image" />
    <meta name="twitter:description" content="@Model.SEO_Description" />
    <meta name="twitter:title" content="لامینگوبلاگ | @Model.SEO_Title" />
    <meta name="twitter:image" content="https://lawmingo.com/blog/posts/@Model.Image" />

    <script type="application/ld+json">
        @Html.Raw(LawMingo.Helpers.SEO.BreadcrumbList(PostsController.GetParents(Model.SubjectID)))
    </script>
    <script type="application/ld+json">
        {"@@context":"http://schema.org","@@type":"TechArticle","headline":"@Model.Title","image":{"@@type":"ImageObject","url":"@Model.Image","height":822,"width":522},"author":"@Model.Author.Title","editor":"@Model.Author.Title","genre":"@Model.Subject.Title","wordcount":@SEO.WordCount(Model.Content),"publisher":{"@@type":"Organization","name":"لامینگوبلاگ","logo":{"@@type":"ImageObject","url":"/blog/logo.png","width":"211","height":"60"},"aggregateRating":{"@@type":"AggregateRating","ratingValue":"@(Model.Rate)","reviewCount":"10","bestRating":"5","worstRating":"0"}},"url":"@(Context.Request.Host + Context.Request.Path)","datePublished":"@Model.PublishTime","dateCreated":"@Model.PublishTime","dateModified":"@Model.LastModified","description":"@Model.SEO_Description"}
    </script>
}

@section Styles {
    <link rel="stylesheet" type="text/css" href="~/blog/css/post.css">
    <link rel="stylesheet" type="text/css" href="~/blog/css/post_responsive.css">
    <style>

        .activecomment {
            border: 2px solid #619bd8;
            box-shadow: 0px 5px 5px rgba(0,0,0,0.1);
            background: #f6fbff;
        }
    </style>
}
@section Scripts{

    <script src="~/Blog/JS/lottie.min.js" type="text/javascript"></script>
    <script src="~/blog/js/post.js" type="text/javascript"></script>
    <script src="~/blog/js/parallax.min.js" type="text/javascript"></script>

    <script>
        var PostView = {
            SimilarPosts: function () {
                var ret = $.ajax({
                    type: "GET",
                    url: "/blog/api/SimilarPosts",
                    data :{id : @Model.PostID},
                    dataType: "json",
                    success: function (response) {
                        _similarposts.$data.items = response;
                        _similarposts.$data.dataloaded = true;
                    }
                });
            }
        }

        var _postcomment =  new Vue({
            el: '.post_comment',
            data: {
                success: false,
                loading: false
            },
            methods: {
                msg: function () {

                    var name = $(".comment_input_name").val();
                    var contact = $(".comment_input_email").val();
                    var content = $(".comment_text").val();
                    var id = $("#postid").val();

                    if (!validateMobile(contact) && !validateEmail(contact)) {
                        $(".comment_input_email").addClass("wrongData animated pulse").focus();
                        return false;
                    }
                    else {
                        $(".comment_input_email").removeClass("wrongData")
                    }
                    if (content != "" && contact != "" && name != "") {
                        _postcomment.$data.loading = true;
                        var ret = $.ajax({
                            type: "POST",
                            url: "/blog/api/CreateComment",
                            data: { content, name, contact, id },
                            dataType: "json",
                            success: function (response) {
                                console.log(response);
                                _postcomment.$data.success = true;
                                setTimeout(function () {
                                    lottie.loadAnimation({
                                        container: document.getElementById('commentSuccess'), // the dom element that will contain the animation
                                        renderer: 'svg',
                                        width: 50,
                                        height: 50,
                                        loop: false,
                                        autoplay: true,
                                        path: '/blog/success.json' // the path to the animation json
                                    });
                                }, 200)
                            }
                        });
                    }
                    else {
                        $(".post_comment input , .post_comment textarea").addClass("wrongData animated pulse").focus();
                    }
                }
            }
        });

        var _comments = new Vue({
            el: '.comments',
            data: {
                items: [],
                dataloaded:false
            },
            beforeCreate: function () {
                var ret = $.ajax({
                    type: "GET",
                    url: "/blog/api/Comments",
                    data :{ id : @Model.PostID },
                    dataType: "json",
                    complete: function (response) {
                        _comments.$data.items = response.responseJSON;
                        _comments.$data.dataloaded = true;
                    }
                });
            },
            methods: {
                url: function (item) {
                    return `/blog/${item.id}/${item.title.replace(/ /g, '-')}`;
                }
            }
        });

        @if (User.IsInRole("Blogadmin"))
	    {
            <text>
            function showStreaming() {
                $('.streamcomments_container').slideDown();
            }
            var _Streamcomments = new Vue({
            el: '.streamcomments_container',
            data: {
                items: [],
                dataloaded: false,
                acticeClass: 'activecomment',
                commentClass: 'comment',
                streaming : true
            },
            beforeCreate: function () {
                setInterval(function () {
                    var ret = $.ajax({
                        type: "GET",
                        url: "/blog/api/Comments",
                        data :{ id : @Model.PostID , stream : true },
                        dataType: "json",
                        complete: function (response) {
                            _Streamcomments.$data.items = response.responseJSON;
                            _Streamcomments.$data.dataloaded = true;
                        }
                    });
                }, 2000)
            },
            methods: {
                url: function (item) {
                    return `/blog/${item.id}/${item.title.replace(/ /g, '-')}`;
                },
                active: function (item) {
                     var ret = $.ajax({
                        type: "POST",
                        url: "/blogpanel/comments/active",
                        data :{ id : item.id },
                        dataType: "json",
                        complete: function (response) {
                            
                        }
                    });
                },
                read: function (item) {
                     var ret = $.ajax({
                        type: "POST",
                        url: "/blogpanel/comments/read",
                        data :{ id : item.id },
                        dataType: "json",
                        complete: function (response) {
                            $('#_streamcomment_' + item.id).removeClass('activecomment');
                        }
                    });
                },
                remove: function (item) {
                     var ret = $.ajax({
                        type: "POST",
                        url: "/blogpanel/comments/remove",
                        data :{ id : item.id },
                        dataType: "json",
                         complete: function (response) {
                             $('#removeactions_' + item.id).remove();
                        }
                    });
                },
                removetoggle: function (id) {
                    var disp = $('#removeactions_' + id).css('display');
                    if (disp == 'none') {
                        $('#removeactions_' + id).css('display', 'inline');
                    }
                    else {
                        $('#removeactions_' + id).css('display', 'none');
                    }
                }
            }
        });

        </text>
	    }

        var _similarposts = new Vue({
            el: '#_similarposts',
            data: {
                dataloaded : false,
                items: []
            },
            updated: function () {
                if (typeof ($('.grid').data('masonry')) === 'undefined') {
                    setTimeout(function () {
                        gridLoad();
                    }, 500);
                }
                else {
                    $('.grid').masonry('destroy');
                    setTimeout(function () {
                        gridLoad()
                    }, 100);
                }
            }
        });

        setTimeout(function () {
            @if (Model.SubjectID != null && Model.Subject.SideBar)
            {
                <text>
            General.SideTrends(@Model.SubjectID , 'post');
                </text>
            }
            General.RelatedContracts(@Model.PostID , 'post');
            PostView.SimilarPosts();
        }, 100)

    </script>
}
<div class="home">
    <div class="home_background parallax-window" data-parallax="scroll" data-image-src="/blog/posts/@Model.Image" data-speed="0.8"></div>
    <div style="position:absolute;width: 100%;left: 0px;right: 0px;height: 106px;background: @Model.Color;opacity: .1;"></div>
    <div class="home_content">
        <div class="post_category trans_200 animated fadeInDown" style="animation-delay:.5s;background: @Model.FontColor"><a style=" color: @Model.Color" href="/blog/@Model.Subject.SEO_Title.Replace(" " , "-")" class="trans_200">@Model.Subject.Title</a></div>
        <div class="post_title animated fadeIn" style="animation-delay:.1s;color: @Model.FontColor;padding: 20px;opacity: .7 ; background : @Model.Color">@Model.Title</div>
    </div>
</div>

<div class="page_content">
    <div class="container">
        @if (User.IsInRole("Blogadmin"))
        {
            <div class="alert alert-primary" role="alert">
                <div style="text-align:center">
                    <button type="button" class="btn btn-outline-primary" style="margin:10px" onclick="showStreaming()">استریم آنلاین کامنت</button>
                </div>
                <div class="streamcomments_container" style="display:none">
                    <preloader v-bind:visible="streaming"></preloader>
                    <ul class="comment_list">
                        <li v-cloak v-for="item in items" class="comment" :class="{'activecomment' : !item.read}" :id="`_streamcomment_${item.id}`">
                            <div class="comment_body">
                                <div class="comment_panel d-flex flex-row-reverse justify-content-start align-items-center">
                                    <small class="post_meta"><span>{{persianTime(item.time)}}</span><a>{{item.author}}</a></small>
                                </div>
                                <div class="comment_content">
                                    <p>{{item.content}}</p>
                                </div>
                                <div class="actions" :id="`_actions_${item.id}`">
                                    <button @@click="read(item)" type="button" class="btn btn-outline-primary" v-if="!item.read">خوانده شد</button>
                                    <button @@click="active(item)" type="button" class="btn btn-outline-success" v-if="!item.active">منتشر شود</button>
                                    <button @@click="removetoggle(item.id)" type="button" class="btn btn-outline-danger">حذف شود</button>
                                    <div :id="`removeactions_${item.id}`" style="display:none;">
                                        <button style="padding: 1px 10px;" @@click="remove(item)" type="button" class="btn btn-outline-primary">بله</button>
                                        <button style="padding: 1px 10px;" @@click="removetoggle(item.id)" type="button" class="btn btn-outline-dark">خیر</button>
                                    </div>
                                </div>
                            </div>
                        </li>
                    </ul>
                </div>
            </div>
        }
        <div class="row row-lg-eq-height flex-row-reverse">

            <!-- Post Content -->
            <div class="col-lg-@(Model.Subject != null && Model.Subject.SideBar ? 9 : 12)">
                <div class="post_content">
                    <!-- Top Panel -->
                    <div class="post_panel post_panel_top d-flex flex-row-reverse align-items-center justify-content-start">
                        @if (Model.Author != null)
                        {
                            <div class="author_image"><div><img src="~/Blog/Authors/@Model.Author.Icon" alt=""></div></div>
                            <div class="post_meta">
                                @*<span>@Model.PublishTime.ToPersian().ToString("yyyy/MM/dd")</span>*@
                                <span>@Model.PublishTime.ElapsedTime()</span>
                                <a href="#">@Model.Author.Title</a>
                            </div>
                        }
                        <div class="post_share mr-sm-auto">
                            <span>اشتراک گذاری</span>
                            <ul class="post_share_list">
                                <li class="post_share_item"><a href="https://t.me/share/url?url=@(Context.Request.Host+Context.Request.Path)"><i class="fab fa-telegram" aria-hidden="true"></i></a></li>
                                <li class="post_share_item"><a href="https://twitter.com/share?url=@(Context.Request.Host+Context.Request.Path)&text=@Model.Title"><i class="fab fa-twitter" aria-hidden="true"></i></a></li>
                                <li class="post_share_item"><a href="#"><i class="fab fa-google" aria-hidden="true"></i></a></li>
                            </ul>
                        </div>
                    </div>

                    <!-- Post Body -->

                    <div class="post_body">
                        <div class="animated fadeIn" style="text-align: justify;font-size: 16px;font-weight: 300;line-height: 30px;color:#444">
                            @Html.Raw(Model.Content)
                        </div>
                        <!-- Post Tags -->
                        <div class="post_tags">
                            <ul>
                                @foreach (var item in Model.Tags.Split(","))
                                {
                                    <li class="post_tag"><a href="/blog/tag/@item.Replace(" " , "-")">@item</a></li>

                                }
                            </ul>
                        </div>
                    </div>

                    <!-- Bottom Panel -->
                    @*<div class="post_panel bottom_panel d-flex flex-row align-items-center justify-content-start">
                            <div class="author_image"><div><img src="images/author.jpg" alt=""></div></div>
                            <div class="post_meta"><a href="#">Katy Liu</a><span>Sep 29, 2017 at 9:48 am</span></div>
                            <div class="post_share ml-sm-auto">
                                <span>share</span>
                                <ul class="post_share_list">
                                    <li class="post_share_item"><a href="#"><i class="fa fa-facebook" aria-hidden="true"></i></a></li>
                                    <li class="post_share_item"><a href="#"><i class="fa fa-twitter" aria-hidden="true"></i></a></li>
                                    <li class="post_share_item"><a href="#"><i class="fa fa-google" aria-hidden="true"></i></a></li>
                                </ul>
                            </div>
                        </div>*@

                    <!-- Similar Posts -->
                    <div class="similar_posts" id="_similarposts">
                        <div class="grid clearfix">
                            <div v-cloak v-for="item in items" class="card card_small_with_image grid-item">
                                <a :href="url(item)"><img class="card-img-top" :src="`/blog/posts/${item.image}`" :alt="item.title"></a>
                                <div class="card-body">
                                    <div class="card-title card-title-small"><a :href="postUrl(item)" v-text="item.title"></a></div>
                                    <small class="post_meta"><span v-text="persianTime(item.time)"></span><a href="#" v-text="item.author"></a></small>
                                </div>
                            </div>
                            <preloader v-bind:visible="!dataloaded"></preloader>
                        </div>
                    </div>
                </div>
                @*<div class="load_more">
                        <div id="load_more" class="load_more_button text-center trans_200">ادامه</div>
                    </div>*@

                <!-- Post Comment -->
                <div class="post_comment">
                    <div class="post_comment_title">نظر یا پرسش خود را مطرح نمایید</div>
                    <div class="row">
                        <div class="col-sm-12 col-md-4" style="display: flex;justify-content: center;">
                            <svg version="1.1" id="Capa_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" viewBox="0 0 60 60" xml:space="preserve" style="width: 60%;"><g><path d="M10,25.465h13c0.553,0,1-0.448,1-1s-0.447-1-1-1H10c-0.553,0-1,0.448-1,1S9.447,25.465,10,25.465z" style="fill: #b4805d;"></path> <path d="M36,29.465H10c-0.553,0-1,0.448-1,1s0.447,1,1,1h26c0.553,0,1-0.448,1-1S36.553,29.465,36,29.465z" style="fill: #b4805d;"></path> <path d="M36,35.465H10c-0.553,0-1,0.448-1,1s0.447,1,1,1h26c0.553,0,1-0.448,1-1S36.553,35.465,36,35.465z" style="fill: #b4805d"></path> <path d="M54.072,2.535L19.93,2.465c-3.27,0-5.93,2.66-5.93,5.93v5.124l-8.07,0.017c-3.27,0-5.93,2.66-5.93,5.93v21.141
		                            c0,3.27,2.66,5.929,5.93,5.929H12v10c0,0.413,0.254,0.784,0.64,0.933c0.117,0.045,0.239,0.067,0.36,0.067
		                            c0.276,0,0.547-0.115,0.74-0.327l9.704-10.675l16.626-0.068c3.27,0,5.93-2.66,5.93-5.929v-0.113l5.26,5.786
		                            c0.193,0.212,0.464,0.327,0.74,0.327c0.121,0,0.243-0.022,0.36-0.067c0.386-0.149,0.64-0.52,0.64-0.933v-10h1.07
		                            c3.27,0,5.93-2.66,5.93-5.929V8.465C60,5.196,57.341,2.536,54.072,2.535z M44,40.536c0,2.167-1.763,3.929-3.934,3.929l-17.07,0.07
		                            c-0.28,0.001-0.548,0.12-0.736,0.327L14,53.949v-8.414c0-0.552-0.447-1-1-1H5.93c-2.167,0-3.93-1.763-3.93-3.929V19.465
		                            c0-2.167,1.763-3.93,3.932-3.93l9.068-0.019c0,0,0,0,0,0c0.001,0,0.001,0,0.002,0l25.068-0.052c2.167,0,3.93,1.763,3.93,3.93
		                            v18.441V40.536z M58,29.606c0,2.167-1.763,3.929-3.93,3.929H52c-0.553,0-1,0.448-1,1v8.414l-5-5.5V19.395
		                            c0-3.27-2.66-5.93-5.932-5.93L16,13.514v-5.12c0-2.167,1.763-3.93,3.928-3.93l34.141,0.07c0.001,0,0.001,0,0.002,0
		                            c2.167,0,3.93,1.763,3.93,3.93V29.606z" style="fill: #6e1529;"></path></g>
                            </svg>
                        </div>                        
                        <div class="col-sm-12 col-md-8">
                            <div class="post_comment_form_container">
                                <form v-if="!success">
                                    <input type="hidden" value="@Model.PostID" id="postid" />
                                    <input type="text" class="comment_input comment_input_name" placeholder="نام" required="required">
                                    <input type="text" class="comment_input comment_input_email" placeholder="ایمیل یا شماره موبایل" required="required">
                                    <textarea class="comment_text" placeholder="نظر شما" required="required"></textarea>
                                    <button @@click="msg" class="comment_button" type="button">
                                        <span v-if="!loading">ارسال</span>
                                        <img v-cloak v-if="loading" src="/Blog/loader.gif" style="height: 30px;">
                                    </button>
                                </form>
                                <div v-cloak v-if="success" style="display: flex;justify-content: center;align-items: center;flex-direction: column;">
                                    <div id="commentSuccess" style="width:100px">
                                    </div>
                                    <span class="animated slideInUp" style="text-align:center">
                                        نظر شما با موفقیت ثبت شد و پس از تایید نمایش داده خواهد شد
                                    </span>
                                </div>
                            </div>
                        </div>

                    </div>
                </div>

                <!-- Comments -->
                <div class="comments">
                    <div v-if="items.length > 0 || (items.length == 0 && !dataloaded)" class="comments_title">نظرات <span v-text="`(${items.length})`"></span></div>
                    <div class="row">
                        <div class="col-12">
                            <div class="comments_container">
                                <preloader v-bind:visible="!dataloaded"></preloader>
                                <ul class="comment_list">
                                    <li v-cloak v-for="item in items" class="comment">
                                        <div class="comment_body">
                                            <div class="comment_panel d-flex flex-row-reverse justify-content-start align-items-center">
                                                <small class="post_meta"><span>{{persianTime(item.time)}}</span><a>{{item.author}}</a></small>
                                                @*<button type="button" class="reply_button mr-auto">پاسخ</button>*@
                                            </div>
                                            <div class="comment_content">
                                                <p>{{item.content}}</p>
                                            </div>
                                        </div>
                                        <ul class="comment_list" style="margin: 20px;background: #fff4ed;border-radius: 10px;">
                                            <li v-for="_item in item.answers" class="comment" style="background:initial !important">
                                                <div class="comment_body">
                                                    <div class="comment_panel d-flex flex-row-reverse justify-content-start align-items-center">
                                                        <small class="post_meta"><span>{{persianTime(_item.Time)}}</span><a>{{_item.Author}}</a></small>
                                                    </div>
                                                    <div class="comment_content">
                                                        <p v-html="_item.Content"></p>
                                                    </div>
                                                </div>
                                                <ul class="comment_list"></ul>
                                            </li>
                                        </ul>
                                    </li>
                                </ul>
                            </div>
                        </div>
                    </div>

                </div>

            </div>

            <!-- Sidebar -->
            @if (Model.SubjectID != null && Model.Subject.SideBar)
            {

                <div class="col-lg-3">
                    <div class="sidebar">
                        <div class="sidebar_background"></div>

                        <!-- Top Stories -->
                        <div class="sidebar_section" id="_sidebarTrends">
                            <sidetrends v-bind="$data"></sidetrends>
                        </div>

                        <div class="sidebar_section" id="_RelatedContracts">
                            <contracts v-bind="$data"></contracts>
                        </div>

                    </div>
                </div>
            }

        </div>
    </div>
</div>